0

Exaile music player version 4.0 brings a lot of changes, but there is no deb or PPA available.

I have downloaded it from here, unpacked it and installed it following the instructions from INSTALL file, namely just doing:

$ make
# make install

which gives no errors.

But there is no Exaile desktop launcher in the usual location (usr/share/applications). Instead, it is in usr/local/share/applications, which has the line Exec=exaile --quiet %F.

But the executable is not present in usr/bin, it is instead in usr/local/bin.

I have got the normal installation locations by doing the following (after uninstalling with make uninstall): I have edited the Makefile script and replaced line

PREFIX         = /usr/local

with

PREFIX         = /usr

But this doesn't fix it. Now (in Budgie Remix), I have Exaile in the menu launcher (desktop file in usr/share/applications and executable in usr/bin) but it doesn't start it.

In terminal:

~$ exaile
ERROR   : Unhandled exception
Traceback (most recent call last):
  File "/usr/lib/exaile/xl/main.py", line 329, in __init__
    self.mainloop_init()
  File "/usr/lib/exaile/xl/main.py", line 595, in mainloop_init
    import dbus
ImportError: No module named dbus

Here it says the following:

PREFIX The installation prefix. Default: /usr/local Note: If this default is changed, you may need to set the XDG_DATA_DIRS

environment variable to include the changed path. See http://standards.freedesktop.org/basedir-spec/basedir-spec-0.6.html.

But that surpasses my competence.


Could this be fixed to work in Ubuntu 16.04?

3
  • Is your system missing the python-dbus package? I don't think the installation directory / PREFIX variable is the issue here - /usr/local/share/applications is a standard location for .desktop files and personally I wouldn't change PREFIX so that /usr is reserved for packages that are installed from repos. – steeldriver Mar 22 '18 at 13:15
  • @steeldriver - python-dbus 1.2.0-3 is installed. – user47206 Mar 22 '18 at 15:45
  • @steeldriver - you were right, although the package was present. see my answer on how this was fixed – user47206 Mar 23 '18 at 14:52
2

As indicated by @steeldriver in a comment, this may have been a problem with python-dbus package. But that was already installed (python-dbus 1.2.0-3.)

When in relation to a separate question I have seen that the same package was listed as not needed anymore and good to be removed, and after removing it with a lot more others with sudo apt autoremove, I decided to try again by installing it manually.

After sudo apt install python-dbus, the very same python-dbus 1.2.0-3 appeared installed, but then Exaile was installed and run successfully with just

make
sudo make install

To avoid an issue with the seek bar being absent:

sudo apt install python-gi-cairo

Update for 18.04:

Before running the make and installation commands in the source folder, some packages are needed:

sudo apt install python-dbus python-mutagen python-gi-cairo make
1
  • Thanks for the addendum, that information was nowhere in the official docs! (At least not in an up-to-date form immediately applicable to Ubuntu 18.04.) – Raphael Jun 11 '18 at 13:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy